KArchiveEntry class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KArchiveEntry Class Reference

Base class for the archive-file's directory structure. More...

`#include <karchive.h>`

Inheritance diagram for KArchiveEntry:

[legend]
Collaboration diagram for KArchiveEntry:

[legend]
List of all members.

## Public Member Functions
| KArchiveEntry (KArchive *archive, const QString &name, int access, int date, const QString &user, const QString &group, const QString &symlink)
QDateTime | datetime () const
| Creation date of the file.
int | date () const
QString | name () const
| Name of the file without path.
mode_t | permissions () const
| The permissions and mode flags as returned by the stat() function in st_mode.
QString | user () const
| User who created the file.
QString | group () const
| Group of the user who created the file.
QString | symlink () const
| Symlink if there is one.
virtual bool | isFile () const
virtual bool | isDirectory () const
## Protected Member Functions
KArchive * | archive () const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Base class for the archive-file's directory structure.

See also:
  KArchiveFile

  KArchiveDirectory

Definition at line 172 of file karchive.h.

## Member Function Documentation

QDateTime KArchiveEntry::datetime | ( |  | ) | const

| Creation date of the file. Definition at line 241 of file karchive.cpp. References QDateTime::setTime_t().

QString KArchiveEntry::name | ( |  | ) | const`[inline]`

| Name of the file without path. Definition at line 190 of file karchive.h. Referenced by KArchiveDirectory::copyTo(), and KArchiveFile::copyTo().

mode_t KArchiveEntry::permissions | ( |  | ) | const`[inline]`

| The permissions and mode flags as returned by the stat() function in st_mode. Definition at line 195 of file karchive.h.

QString KArchiveEntry::user | ( |  | ) | const`[inline]`

| User who created the file. Definition at line 199 of file karchive.h.

QString KArchiveEntry::group | ( |  | ) | const`[inline]`

| Group of the user who created the file. Definition at line 203 of file karchive.h.

QString KArchiveEntry::symlink | ( |  | ) | const`[inline]`

| Symlink if there is one. Definition at line 208 of file karchive.h.

virtual bool KArchiveEntry::isFile | ( |  | ) | const`[inline, virtual]`

| Returns: true if this entry is a file Reimplemented in KArchiveFile. Definition at line 213 of file karchive.h. Referenced by KArchiveDirectory::copyTo().

virtual bool KArchiveEntry::isDirectory | ( |  | ) | const`[inline, virtual]`

| Returns: true if this entry is a directory Reimplemented in KArchiveDirectory. Definition at line 218 of file karchive.h. Referenced by KArchiveDirectory::copyTo(), KArchiveDirectory::entry(), KArchive::findOrCreate(), and KZip::openArchive().

The documentation for this class was generated from the following files:

- karchive.h
- karchive.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:01 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001